Page MenuHomePhabricator

Deploy Graphoid with scap3
Closed, ResolvedPublic

Event Timeline

greg created this task.Dec 2 2015, 4:08 PM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added projects: Scap, Deployments, Graphoid.
greg added subscribers: mobrovac, hashar, JanZerebecki and 5 others.

First step ought to be setting this up on beta cluster. Looking at the graphoid/deploy setup in the repo_config pillar for trebuchet deploy it seems like this should be pretty straight forward for configuration: just a submodule checkout and a service restart. Needs scap on target boxes, too, but that should be an easy puppet change.

That is true for Mathoid and Citoid as well, which happen to share Graphoid's target hosts. Moreover, we should create a task for migrating service::node from ops/puppet to Scap and that would implicitly entail most of our targeted services.

greg edited projects, added scap2; removed Deployments.Feb 9 2016, 11:33 PM
Yurik added a comment.Feb 9 2016, 11:37 PM

@thcipriani, service restart is a tricky one - we usually don't want to restart everything at once, just in case something is badly broken, and we want to revert. When we have 2-4 servers handling the load, its not very hard to restart each instance by hand.

dduvall moved this task from Needs triage to Adoption on the Scap board.Feb 12 2016, 7:53 PM
mmodell moved this task from Adoption to Scap3-Adoption-Phase1 on the Scap board.Mar 4 2016, 7:01 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.
thcipriani closed this task as Resolved.Sep 8 2016, 3:19 PM
thcipriani claimed this task.

Closing—Graphoid was migrated to scap3 on 2016-06-21.